Skip to main content
GET
/
v1
/
conversations
List Conversations
curl --request GET \
  --url https://api.example.com/v1/conversations \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "patient_id": "<string>",
      "company_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "phone_number_id": "<string>",
      "is_active": true
    }
  ],
  "pagination": {
    "has_more": true,
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
patient_id
string
required
is_active
boolean | null

Response

Successful Response

data
ConversationResponse · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page